Skip to content

Retrieve all active values configured on a picklist.

GET/api/{version}/objects/picklists/{picklist_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{picklist_name}The picklist name field value (license_type__v, product_family__c, region__c, etc.)
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/objects/picklists/license_type__v
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "picklistValues": [ { "name": "full__v", "label": "Full User" }, { "name": "read_only__v", "label": "Read-only User" }, { "name": "external__v", "label": "External User" }, { "name": "view_based__v", "label": "View-Based User" } ] }

Request : System-Managed Dependencies

Section link for Request : System-Managed Dependencies
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/objects/picklists/state_cda__v

Response : System-Managed Dependencies

Section link for Response : System-Managed Dependencies
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "picklistValues": [ { "name": "ad-02__v", "label": "Canillo" }, { "name": "ad-03__v", "label": "Encamp" }, { "name": "ad-04__v", "label": "La Massana" } ], "controllingPicklistName": "country_cda__v", "picklistDependencies": { "ad__v": [ "ad-02__v", "ad-03__v", "ad-04__v", "ad-05__v", "ad-06__v", "ad-07__v", "ad-08__v" ], "ae__v": [ "ae-aj__v", "ae-az__v", "ae-du__v", "ae-fu__v", "ae-rk__v", "ae-sh__v", "ae-uq__v" ] } }

On SUCCESS, the response returns the active values on a picklist in ascending order, designated by the picklist value's order attribute. Retrieve the order of the picklist values with the Retrieve Component Record (XML/JSON) endpoint on the Picklist component.

If the picklist is system-managed and has dependencies, the response also returns the controllingPicklistName and lists all picklistDependencies. Learn more about managing picklist dependencies in Vault Help.

The response includes the following information for each picklist value: